Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://sandbox-api.polygon.technology/v0.10/customers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox-api.polygon.technology/v0.10/customers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox-api.polygon.technology/v0.10/customers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "cst_01H9Xa8F5dN6mP3q",
      "object": "customer",
      "type": "individual",
      "firstName": "Jane",
      "middleName": null,
      "lastName": "Smith",
      "email": "jane@example.com",
      "phone": "+12125551234",
      "nationality": "US",
      "externalId": "usr_12345",
      "status": "active",
      "signedAgreement": true,
      "signedAgreementAt": "2026-03-20T14:15:22Z",
      "wallets": [
        {
          "id": "wlt_01H9Xb3K7nM2pQ4r",
          "type": "custodial",
          "address": "0x7B3a9F2c4D1eA8bF6390cE5d2B7fA104C8e3D9b1",
          "network": "polygon",
          "asset": "usdc",
          "balance": "1234.56",
          "estimatedValueUsd": "1234.56",
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ],
      "endorsements": [
        {
          "rejectionReasons": [
            {
              "developerReason": "<string>",
              "reason": "<string>"
            }
          ],
          "requirements": {
            "complete": [
              "<string>"
            ],
            "pending": [
              "<string>"
            ],
            "missing": [
              "<string>"
            ],
            "issues": [
              "<string>"
            ]
          }
        }
      ],
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "cursor": "<string>"
}
{
  "error": "Unauthorized",
  "code": 1000,
  "msg": "unauthorized access",
  "status": 401,
  "cause": "signature"
}

Authorizations

Authorization
string
header
required

Token from POST /auth/token

Query Parameters

status
enum<string>

Filter by status. Default returns all.

Available options:
active,
inactive
email
string

Filter by exact email match.

externalId
string

Filter by externalId.

createdAfter
string<date-time>

Filter customers created after this timestamp.

createdBefore
string<date-time>

Filter customers created before this timestamp.

limit
integer
default:20
Required range: x <= 100
cursor
string

Response

List of customers

data
object[]
required
hasMore
boolean
required
cursor
string

Opaque pagination cursor: pass back as the cursor query param to fetch the next page. Absent on the last page.